PresenterFunctions.MedicionFunctions

com.uva.rafael.tfg_goniometer.interfaces

## Interface PresenterFunctions.MedicionFunctions

- All Known Implementing Classes:
    MedicionPresenter
  Enclosing interface:
    PresenterFunctions

      public static interface PresenterFunctions.MedicionFunctions

  Interfaz correspondiente al Presentador `MedicionPresenter`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onGoniometerClicked()` Evento `ClickListener` que se llama cuando el usuario ha pulsado sobre el `LinearLayout` que contiene el goniometro en el `MedicionFragment`.
    `void` | `onPause()` Called as part of the fragment lifecycle when a fragment is going into the background, but has not (yet) been killed.
    `void` | `onResetClicked(java.lang.String lecturaGoniometro)` Evento `ClickListener` que se llama cuando el usuario ha pulsado sobre el boton "Reiniciar" en el `MedicionFragment`.
    `void` | `onResume()` Called as part of the fragment lifecycle when your fragment is ready to start interacting with the user.
    `void` | `onStoreMeasurementClicked(java.lang.String measurement)` Evento `ClickListener` que se llama cuando el usuario ha pulsado sobre el boton "ALMACENAR MEDICION" en el `MedicionFragment`.
    `void` | `setUpInitialSettings(android.support.v7.widget.Toolbar toolbar)` Metodo que realiza las operaciones iniciales cuando se crea el `Fragment MedicionFragment`.

- - ### Method Detail

    - #### setUpInitialSettings

          void setUpInitialSettings(android.support.v7.widget.Toolbar toolbar)

      Metodo que realiza las operaciones iniciales cuando se crea el `Fragment MedicionFragment`.

      Se encarga de marcar el segundo item del `NavigationView` (correspondiente a `MedicionFragment`), fijar la orientacion de la pantalla en "Landscape", de utilizar el `Toolbar` recibido como `SupportActionBar`, y de registrar el `Listener` del vector de rotacion, para que empiece a obtener lecturas del dispositivo.

      Ademas de esto, se encarga de enviar a la Vista (`MedicionFragment`), el tamaño que tiene que asignar al goniometro y al boton "Reiniciar" en funcion del tamaño de la pantalla del dispositivo.

      Parameters:
        `toolbar` - `Toolbar` a emplear como `SupportActionBar`

    - #### onGoniometerClicked

          void onGoniometerClicked()

      Evento `ClickListener` que se llama cuando el usuario ha pulsado sobre el `LinearLayout` que contiene el goniometro en el `MedicionFragment`.

      Se encarga de comprobar si se dispone un lectura del vector de rotacion como "origen" para calcular el angulo de desplazamiento.

      Si ya se dispone de ella, significa que el usuario ha pulsado sobre el goniometro para terminar la medicion, por tanto, se deja de mostrar la variacion del angulo en tiempo real, y se obtiene la fecha y la hora en la que se ha realizado la medicion para su, quizas, posterior almacenamiento.

      Si no se dispone de ella, significa que el usuario ha pulsado sobre el goniometro para empezar la medicion, por tanto, se toma como origen de la misma la lectura que se esta obteniendo del vector de rotacion en esa posicion, y se empieza a mostrar la variacion del angulo en tiempo real.

    - #### onStoreMeasurementClicked

          void onStoreMeasurementClicked(java.lang.String measurement)

      Evento `ClickListener` que se llama cuando el usuario ha pulsado sobre el boton "ALMACENAR MEDICION" en el `MedicionFragment`. Se encarga de: 1.- Comprobar que el usuario ha realizado una medicion y no ha pulsado sobre el boton antes de haberlo hecho. 2.- Crea un dialogo que envia a la Vista para que se lo muestre al usuario, con el fin de confirmar que quiere almacenar la medicion. 3.- Crea un nuevo `Fragment PacientesFragment` para que el usuario elija el usuario al que quiere añadir esa medicion.
      Parameters:
        `measurement` - Lectura obtenida del `TextView` con el angulo de desplazamiento del dispositivo.

    - #### onResetClicked

          void onResetClicked(java.lang.String lecturaGoniometro)

      Evento `ClickListener` que se llama cuando el usuario ha pulsado sobre el boton "Reiniciar" en el `MedicionFragment`. Se encarga de: 1.- Comprobar que la lectura del goniometro en ese momento es distinta de "0.0º". 2.- De ser asi, indica que se deje de mostrar la variacion del angulo en tiempo real. 3.- Reinicia los valores que representan el origen de la medicion a 0. 4.- Vuelve al estado inicial la lectura del goniometro, asi como la barra de desplazamiento que representa la variacion del angulo.
      Parameters:
        `lecturaGoniometro` - Lectura del goniometro que se tiene en ese momento.

    - #### onResume

          void onResume()

      Called as part of the fragment lifecycle when your fragment is ready to start interacting with the user.

      Se encarga de volver a registrar el vector de rotacion para poder obtener, de nuevo, lecturas del mismo.

    - #### onPause

          void onPause()

      Called as part of the fragment lifecycle when a fragment is going into the background, but has not (yet) been killed.

      Se encarga de borrar el `Listener` del vector de rotacion, para evitar asi, que se consuma la bateria del dispositivo cuando la actividad este en un segundo plano.